const utils = require('j7/utils');

const tasks = {};

function add(clsNames, modName) {
  const modClass = require('./' + modName);
  clsNames.forEach((clsName) => {
    tasks[clsName] = {
      'clsName': clsName,
      'modName': modName,
      'class': modClass
    };
  });
}

async function init() {
  add(['BcSpider'], 'bcspider');
  add(['BcRefresh'], 'bcrefresh');
  const initTasks = [
    'BcSpider',
    'BcRefresh'
  ];
  await utils.serial(
    initTasks,
    async (name) =>
      {
        const task = create(name);
        await task.init();
      });
}

function create(name) {
  const module = tasks[name];
  return new module['class']();
}

exports.init = init;
