const log = require('j7/log');
const utils = require('j7/utils');
const BaseEventProcess = require('../common/BaseEventProcess');

/*
// 操作成功的事件
event BuyOrder(
  uint256 indexed tokenId,
  uint256 orderId,
  address nftToken,
  uint256 amount,
  address seller,
  address buyer,
  address erc20,
  uint256 price
);
*/

class BuyOrder extends BaseEventProcess {

  async start() {
    const returnValues = this.getReturnValues();

    const tokenId = returnValues['tokenId'];
    const orderId = returnValues['orderId'];
    const nftToken = returnValues['nftToken'];
    const amount = returnValues['amount'];
    const seller = returnValues['seller'];
    const buyer = returnValues['buyer'];
    const erc20 = returnValues['erc20'];
    const price = returnValues['price'];

    const params = {
      //'c': 'Market',
      //'a': 'eventBuyOrder',
      'c': 'Callback',
      'a': 'dispatch',
      'action': 'MarketBuyOrderOk',
      'tokenId': tokenId,
      'orderId': orderId,
      'nftToken': nftToken,
      'amount': amount,
      'seller': seller,
      'buyer': buyer,
      'erc20': erc20,
      'price': price,
      'net_id': this.getNetId()
    };
    await this.callGameApi
    (params,
     async (data) => {
        if (!data) {
          this.throwError('callGameApi error:' + data);
        }
        if (data['errcode'] == 0 ||
           data['errcode'] == 1) {
          return true;
        }
       return true;
     });
    await this.markOk();
  }

}

module.exports = BuyOrder;
