const log = require('j7/log');
const utils = require('j7/utils');
const BaseEventProcess = require('../common/BaseEventProcess');

/*
// 操作成功的事件
event PriceUpdate(
  uint256 indexed orderId,
  address indexed nftToken,
  uint256 indexed tokenId,
  uint256 priceOld,
  uint256 price
);
*/

class PriceUpdate extends BaseEventProcess {

  async start() {
    const returnValues = this.getReturnValues();

    const orderId = returnValues['orderId'];
    const nftToken = returnValues['nftToken'];
    const tokenId = returnValues['tokenId'];
    const priceOld = returnValues['priceOld'];
    const price = returnValues['price'];

    const params = {
      //'c': 'Market',
      //'a': 'eventPriceUpdateOrder',
      'c': 'Callback',
      'a': 'dispatch',
      'action': 'MarketPriceUpdateOrderOk',
      'orderId': orderId,
      'nftToken': nftToken,
      'tokenId': tokenId,
      'priceOld': priceOld,
      'price': price,
      'net_id': this.getNetId()
    };
    await this.callGameApi
    (params,
     async (data) => {
        if (!data) {
          this.throwError('callGameApi error:' + data);
        }
        if (data['errcode'] == 0 ||
           data['errcode'] == 1) {
          return true;
        }
       return true;
     });
    await this.markOk();
  }

}

module.exports = PriceUpdate;
