const log = require('j7/log');
const utils = require('j7/utils');
const BaseEventProcess = require('../common/BaseEventProcess');

/*
// 操作成功的事件
event SellOrder(
    uint256 indexed tokenId,
    address indexed owner,
    address indexed nftToken,
    uint256 amount,
    uint256 orderId,
    address currency,
    uint256 price
  );
*/

class SellOrder extends BaseEventProcess {

  async start() {
    const returnValues = this.getReturnValues();

    const tokenId = returnValues['tokenId'];
    const owner = returnValues['owner'];
    const nftToken = returnValues['nftToken'];
    const amount = returnValues['amount'];
    const orderId = returnValues['orderId'];
    const currency = returnValues['currency'];
    const price = returnValues['price'];

    const params = {
      //'c': 'Market',
      //'a': 'eventSellOrder',
      'c': 'Callback',
      'a': 'dispatch',
      'action': 'MarketSellOrderOk',
      'tokenId': tokenId,
      'owner': owner,
      'nftToken': nftToken,
      'amount': amount,
      'orderId': orderId,
      'currency': currency,
      'price': price,
      'net_id': this.getNetId()
    };
    await this.callGameApi
    (params,
     async (data) => {
        if (!data) {
          this.throwError('callGameApi error:' + data);
        }
        if (data['errcode'] == 0 ||
           data['errcode'] == 1) {
          return true;
        }
       return true;
     });
    await this.markOk();
  }

}

module.exports = SellOrder;
