const log = require('j7/log');
const utils = require('j7/utils');
const BaseEventProcess = require('../common/BaseEventProcess');

/*
struct Staker {
    address nft;
    uint256 tokenid;
    uint256 start;
    uint256 stakeTime;
  }
// event of redeem
event Redeem(address indexed user, Staker[] infos);
*/

class Redeem721 extends BaseEventProcess {

  async start() {
    const returnValues = this.getReturnValues();
    const blockData = this.getBlockData();
    const redeemTime = blockData['timestamp'];
    console.log(blockData);
    if (!redeemTime) {
      this.throwError('Redeem721 blockData error:' + blockData);
      return;
    }

    const params = {
      'c': 'Callback',
      'a': 'dispatch',
      'action': 'redeem721',
      'data': utils.jsonEncode(returnValues),
      'redeem_time': redeemTime,
      'txhash': this.getTxHash(),
      'net_id': this.getNetId()
    };
    await this.callGameApi
    (params,
     async (data) => {
        if (!data) {
          this.throwError('callGameApi error:' + data);
        }
        if (data['errcode'] == 0 ||
           data['errcode'] == 1) {
          return true;
        }
       return true;
     });
    await this.markOk();
  }

}

module.exports = Redeem721;
