const log = require('j7/log');
const utils = require('j7/utils');
const BaseEventProcess = require('../common/BaseEventProcess');

/*
struct Staker {
    address nft;
    uint256 tokenid;
    uint256 start;
    uint256 stakeTime;
  }
// event of stake
event Staked(address indexed user, Staker[] infos);
*/

class Staked extends BaseEventProcess {

  async start() {
    const returnValues = this.getReturnValues();

    const params = {
      //'c': 'Market',
      //'a': 'eventBuyOrder',
      'c': 'Callback',
      'a': 'dispatch',
      'action': 'staked721',
      'data': utils.jsonEncode(returnValues),
      'net_id': this.getNetId()
    };
    await this.callGameApi
    (params,
     async (data) => {
        if (!data) {
          this.throwError('callGameApi error:' + data);
        }
        if (data['errcode'] == 0 ||
           data['errcode'] == 1) {
          return true;
        }
       return true;
     });
    await this.markOk();
  }

}

module.exports = Staked;
