const log = require('j7/log');
const utils = require('j7/utils');
const BaseEventProcess = require('../common/BaseEventProcess');

/*
操作成功的事件
event ItemSoldOut(
    address indexed buyer,
    uint256 indexed orderId,
    address currency,
    uint256 price
  );
*/

class ItemSoldOut extends BaseEventProcess {

  async start() {
    const returnValues = this.getReturnValues();
    const buyer = returnValues['buyer'];
    const orderId = returnValues['orderId'];
    const currency = returnValues['currency'];
    const price = returnValues['price'];

    const params = {
      'c': 'Callback',
      'a': 'dispatch',
      'action': 'gameItemMarketBuyOk',
      'buyer': buyer,
      'order_id': orderId,
      'currency': currency,
      'price': price
    };
    await this.callGameApi
    (params,
     async (data) => {
        if (!data) {
          this.throwError('callGameApi error:' + data);
        }
        if (data['errcode'] == 0 ||
            data['errcode'] == 1 ||
            data['errcode'] == 2) {
          return true;
        }
       return true;
     });
    await this.markOk();
  }

}

module.exports = ItemSoldOut;
